package com.saye.hospitalgd.service.historyLog.impl;

import com.saye.hospitalgd.mapper.historyLog.CashDetailMapper;
import com.saye.hospitalgd.service.historyLog.CashDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;

/**
 * @author thuang
 * @version 1.0
 * @description: TODO
 * @date 2021/11/5 13:20
 */
@Service
@Transactional
public class CashDetailServiceImpl implements CashDetailService {

    @Autowired
    private CashDetailMapper cashDetailMapper;

    @Override
    public List<HashMap<Object, Object>> findCashDetailPageList(HashMap<Object, Object> map) throws Exception {
        return cashDetailMapper.findCashDetailPageList(map);
    }

    @Override
    public void insertCash(List<HashMap<Object, Object>> addList) throws Exception {
        cashDetailMapper.insertCash(addList);
    }

    @Override
    public void editCash(HashMap<Object, Object> map) throws Exception {
        cashDetailMapper.editCash(map);
    }

    @Override
    public void deleteCash(HashMap<Object, Object> map) throws Exception {
        cashDetailMapper.deleteCash(map);
    }

    @Override
    public List<HashMap<Object, Object>> findCashDetailList(HashMap<Object, Object> map) throws Exception {
        return cashDetailMapper.findCashDetailList(map);
    }


}
